<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.SpreadsheetVersion (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.SpreadsheetVersion (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
               title="enum in org.apache.poi.ss">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/class-use/SpreadsheetVersion.html"
               target="_top">Frames</a></li>
        <li><a href="SpreadsheetVersion.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.SpreadsheetVersion" class="title">Uses of Class<br>org.apache.poi.ss.SpreadsheetVersion
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss">org.apache.poi.ss</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util">org.apache.poi.ss.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a> in <a
                            href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>
                                <div class="block">Returns the spreadsheet version (EXCLE97) of this workbook</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFEvaluationWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a> in <a
                            href="../../../../../org/apache/poi/ss/package-summary.html">org.apache.poi.ss</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ss/package-summary.html">org.apache.poi.ss</a> that return <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SpreadsheetVersion.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                <div class="block">Returns the enum constant of this type with the specified name.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">SpreadsheetVersion.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html#values--">values</a></span>()</code>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a> in <a
                            href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that return <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaParsingWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>
                                <div class="block">Returns an enum holding spreadhseet properties specific to an Excel
                                    version (
                                    max column and row numbers, max arguments to a function, etc.)
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">EvaluationWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForColumnCopy-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForColumnCopy</a></span>(int&nbsp;externSheetIndex,
                                java.lang.String&nbsp;sheetName,
                                int&nbsp;firstMovedColumnIndex,
                                int&nbsp;lastMovedColumnIndex,
                                int&nbsp;numberOfColumnsToMove,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForColumnShift-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForColumnShift</a></span>(int&nbsp;externSheetIndex,
                                java.lang.String&nbsp;sheetName,
                                int&nbsp;firstMovedColumnIndex,
                                int&nbsp;lastMovedColumnIndex,
                                int&nbsp;numberOfColumnsToMove,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForRowCopy-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForRowCopy</a></span>(int&nbsp;externSheetIndex,
                                java.lang.String&nbsp;sheetName,
                                int&nbsp;firstMovedRowIndex,
                                int&nbsp;lastMovedRowIndex,
                                int&nbsp;numberOfRowsToMove,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForRowShift-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForRowShift</a></span>(int&nbsp;externSheetIndex,
                                java.lang.String&nbsp;sheetName,
                                int&nbsp;firstMovedRowIndex,
                                int&nbsp;lastMovedRowIndex,
                                int&nbsp;numberOfRowsToMove,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/formula/SharedFormula.html#SharedFormula-org.apache.poi.ss.SpreadsheetVersion-">SharedFormula</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a> in <a
                            href="../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Workbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/usermodel/Workbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>
                                <div class="block">Returns the spreadsheet version of this workbook</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a> in <a
                            href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">CellReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/CellReference.html#cellReferenceIsWithinRange-java.lang.String-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">cellReferenceIsWithinRange</a></span>(java.lang.String&nbsp;colStr,
                                java.lang.String&nbsp;rowStr,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                <div class="block">Used to decide whether a name of the form "[A-Z]*[0-9]*" that appears
                                    in a formula can be
                                    interpreted as a cell reference.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
                                    title="enum in org.apache.poi.ss.util">CellReference.NameType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/CellReference.html#classifyCellReference-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">classifyCellReference</a></span>(java.lang.String&nbsp;str,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                <div class="block">Classifies an identifier as either a simple (2D) cell reference or a
                                    named range name
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">AreaReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html#generateContiguous-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-">generateContiguous</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                java.lang.String&nbsp;reference)</code>
                                <div class="block">Takes a non-contiguous area reference, and returns an array of
                                    contiguous area references
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AreaReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html#getWholeColumn-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-java.lang.String-">getWholeColumn</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                java.lang.String&nbsp;start,
                                java.lang.String&nbsp;end)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AreaReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html#getWholeRow-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-java.lang.String-">getWholeRow</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                java.lang.String&nbsp;start,
                                java.lang.String&nbsp;end)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">CellReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/CellReference.html#isColumnWithinRange-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">isColumnWithinRange</a></span>(java.lang.String&nbsp;colStr,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">CellReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/CellReference.html#isRowWithinRange-int-org.apache.poi.ss.SpreadsheetVersion-">isRowWithinRange</a></span>(int&nbsp;rowNum,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                <div class="block">Determines whether <code>row</code> is a valid row number for a given
                                    SpreadsheetVersion.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">CellReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/CellReference.html#isRowWithinRange-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">isRowWithinRange</a></span>(java.lang.String&nbsp;rowStr,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                <div class="block">Determines whether <code>rowStr</code> is a valid row number for a
                                    given SpreadsheetVersion.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">AreaReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html#isWholeColumnReference-org.apache.poi.ss.SpreadsheetVersion-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">isWholeColumnReference</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;botRight)</code>
                                <div class="block">Is the reference for a whole-column reference,
                                    such as C:C or D:G ?
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">CellRangeAddressBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#validate-org.apache.poi.ss.SpreadsheetVersion-">validate</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;ssVersion)</code>
                                <div class="block">Validate the range limits against the supplied version of Excel</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html#AreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.SpreadsheetVersion-">AreaReference</a></span>(<a
                                    href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;botRight,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>
                                <div class="block">Creates an area ref from a pair of Cell References.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ss/util/AreaReference.html#AreaReference-java.lang.String-org.apache.poi.ss.SpreadsheetVersion-">AreaReference</a></span>(java.lang.String&nbsp;reference,
                                <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>
                                <div class="block">Create an area ref from a string representation.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a> in <a
                            href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that return <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>
                                <div class="block">Returns the spreadsheet version (EXCLE2007) of this workbook</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a> in <a
                            href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                title="enum in org.apache.poi.ss">SpreadsheetVersion</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>
                                <div class="block">Returns the spreadsheet version (EXCLE2007) of this workbook</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">BaseXSSFEvaluationWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
               title="enum in org.apache.poi.ss">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/class-use/SpreadsheetVersion.html"
               target="_top">Frames</a></li>
        <li><a href="SpreadsheetVersion.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
